/* =====================================================================

   LiMo - Liblary
      GdkPixbuf - pixel rotation.
                - GdkPixbuf$BHG2hA|2sE>%k!<%A%s(B

                                  Programed by Rero2 (K.Kunikane)

====================================================================== */

#ifndef LM_PIX_ROT

#define LM_PIX_ROT


/* -------------------------------------------------------------
 --- Structure
-------------------------------------------------------------- */

/* -------------------------------------------------------------
 --- Define
-------------------------------------------------------------- */

/* --- $B2sE>;~$N%T%/%;%k%9%`!<%8%s%0;XDj(B */
#define  LM_PIXROT_NORMAL   0
#define  LM_PIXROT_SMOOTH   1

/* -------------------------------------------------------------
 --- Extern
-------------------------------------------------------------- */
#ifdef __cplusplus
extern              "C"
{
#endif                          /* __cplusplus */

void           lm_pix_rot(GdkPixbuf *, GdkPixbuf *, gfloat, gfloat,
			  gint, gint, gint, gint, gint);
GdkPixbuf     *lm_pix_rot_new(GdkPixbuf *, gfloat, gfloat, gint);


#ifdef __cplusplus
}
#endif                          /* __cplusplus */

#endif

